- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Error Functions
Embryo

Sets the error code for the given program to the given code. More...

## Functions
EAPI Embryo_Error | embryo_program_error_get (Embryo_Program *ep)
| Retrieves the current error code for the given program. More...
EAPI const char * | embryo_error_string_get (Embryo_Error error)
| Retrieves a string describing the given error code. More...

## Detailed Description

Sets the error code for the given program to the given code.

Parameters

  ep | The given program.
  error | The given error code.

Functions that set and retrieve error codes in Embryo programs.

## Function Documentation

EAPI Embryo_Error embryo_program_error_get | ( | Embryo_Program * | ep | ) |

Retrieves the current error code for the given program.

Parameters

  ep | The given program.

Returns
  The current error code.

EAPI const char* embryo_error_string_get | ( | Embryo_Error | error | ) |

Retrieves a string describing the given error code.

Parameters

  error | The given error code.

Returns
  String describing the given error code. If the given code is not known, the string "(unknown)" is returned.